package com.zg.project.information.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zg.project.information.mapper.WarehouseInfoMapper;
import com.zg.project.information.domain.WarehouseInfo;
import com.zg.project.information.service.IWarehouseInfoService;

/**
 * 仓库信息Service业务层处理
 * 
 * @author zg
 * @date 2025-05-27
 */
@Service
public class WarehouseInfoServiceImpl implements IWarehouseInfoService 
{
    @Autowired
    private WarehouseInfoMapper warehouseInfoMapper;

    /**
     * 查询仓库信息
     * 
     * @param id 仓库信息主键
     * @return 仓库信息
     */
    @Override
    public WarehouseInfo selectWarehouseInfoById(Long id)
    {
        return warehouseInfoMapper.selectWarehouseInfoById(id);
    }

    /**
     * 查询仓库信息列表
     * 
     * @param warehouseInfo 仓库信息
     * @return 仓库信息
     */
    @Override
    public List<WarehouseInfo> selectWarehouseInfoList(WarehouseInfo warehouseInfo)
    {
        return warehouseInfoMapper.selectWarehouseInfoList(warehouseInfo);
    }

    /**
     * 新增仓库信息
     * 
     * @param warehouseInfo 仓库信息
     * @return 结果
     */
    @Override
    public int insertWarehouseInfo(WarehouseInfo warehouseInfo)
    {
        return warehouseInfoMapper.insertWarehouseInfo(warehouseInfo);
    }

    /**
     * 修改仓库信息
     * 
     * @param warehouseInfo 仓库信息
     * @return 结果
     */
    @Override
    public int updateWarehouseInfo(WarehouseInfo warehouseInfo)
    {
        return warehouseInfoMapper.updateWarehouseInfo(warehouseInfo);
    }

    /**
     * 批量删除仓库信息
     * 
     * @param ids 需要删除的仓库信息主键
     * @return 结果
     */
    @Override
    public int deleteWarehouseInfoByIds(Long[] ids)
    {
        return warehouseInfoMapper.deleteWarehouseInfoByIds(ids);
    }

    /**
     * 删除仓库信息信息
     * 
     * @param id 仓库信息主键
     * @return 结果
     */
    @Override
    public int deleteWarehouseInfoById(Long id)
    {
        return warehouseInfoMapper.deleteWarehouseInfoById(id);
    }
}
